<?php
 define("WEB_EOL","<br/>");
 // Variables à conserver dans les cookies
 $Nom    = "Dupont" ;
 $Prenom = "Jean"   ;
 $Age    = 22       ;
 // Paramètres du cookie
 $Expire=time()+365*24*3600;  // 1 an à partir de maintenant
 $Chemin  = "/"           ;  // tous les répertoires du site
 $Domain  = "localhost"   ;  // pour le site particulier
 $Secure  = false         ;  // pas de sécurisation https
 $HttpOnly= true          ;  // pas d'accès au JavaScript
 // Création des cookies
 $RtCkN = setcookie('Nom',$Nom,$Expire,$Chemin,$Domain,$Secure,$HttpOnly);
 $RtCkP = setcookie('Prenom',$Prenom,$Expire,$Chemin,$Domain,$Secure,$HttpOnly);
 $RtCkA = setcookie('Age',$Age,$Expire,$Chemin,$Domain,$Secure,$HttpOnly);
 ?> 
 <!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Gestion des cookies</title>
  </head>
  <body>
  <?php
  echo "Cookies positionn&eacute;s pour  : ".WEB_EOL;
  echo "$Nom - $Prenom - $Age ans".WEB_EOL;
  echo "Expire : ".$Expire.WEB_EOL;
  if ($RtCkN) echo "Cookie pour Nom  OK !".WEB_EOL;
  if ($RtCkP) echo "Cookie pour Prenom  OK !".WEB_EOL;
  if ($RtCkA) echo "Cookie pour Nom  OK !".WEB_EOL;
  ?>
 </body>
</html>
